<template>
  <div class="letras">
    <div class="q-pa-sm column items-center justify-center text-center">
      <div class="letras text-bold">MISNISTÉRIO DA AGRICULTURA, PECUÁRIA E ABASTECIMIENTO</div>
      <div class="letras text-bold">SECRETARIA DE DEFENSSA AGROPECUARIA</div>
      <div class="letras text-bold">DEPARTAMENTO DE SANIDADE VEGETAL E INSUMOS AGRÍCOLAS</div>
      <div class="letras text-bold">ORGANIZAÇAO NACIONAL DE PROTEÇAO FITOSSANITÁRIA DO BRASIL</div>
      <div class="letras text-bold">PLANT PROTECTION ORGANIZATION OF BRAZIL</div>
      <template>
        <q-img style="width: 180px;margin-top: 1em;" src="../assets/two.jpg"/>
      </template>
      <div class="text-h6 text-bold q-pa-sm">CERTIFICADO FITOSSANITÁRIO</div>
      <div class="text-h6 text-bold" style="margin-bottom: -18px;">Phytosanitary Certificate</div>
      <div class="q-pa-md full-width" style="margin-top: 15px;">
        <q-list bordered separator class="text-left items-center justify-center">
          <q-item>
            <q-item-section>
              <q-item-label><strong>Certificado Fitossanitário Nº / Phytosanitary Certificate Nº:</strong> {{ date.number }}<button @click="pdf(date.id)"> PDF DOWNLOAD</button></q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>Chave de Acesso / Access Key:</strong> {{ date.access }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>Situaçao atual do Certificado / Certificate Current Status:  </strong> <q-badge color="positive">Válido / Valid</q-badge></q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>Data de emissao / Date of issue:  </strong>{{ date.date_issue ? date.date_issue: 'NONE' }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>Local de emissao / Place of Issue:  </strong>{{ date.place_of_issue }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>Emitido e assinado por / Name of authorized officer:  </strong>{{ date.name_authorized }}</q-item-label>
            </q-item-section>
          </q-item>
        </q-list>
      </div>
      <div class="q-pa-md row items-center justify-center text-center">
        <div class="text-h6">DESCRIÇAO DO ENVIO / DESCRIPTION OF CONSIGNMENT</div>
      </div>
      <div class="q-pa-md full-width" style="margin-top: 15px;">
        <q-list bordered separator class="text-left items-center justify-center">
          <q-item>
            <q-item-section>
              <q-item-label><strong>1. Para ONPF de / To Plant Protection Organization of:</strong> {{ date.plant }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>2. Nome e endereço do exportador / Name and address of exporter:</strong> {{ date.address }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>3. Nome e endereço do destinatçario declarado / Declared Name and address of consignee: </strong>{{ date.consignee }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>4. Lugar de Origem / Place of origin:  </strong>{{ date.place }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>5. Meios de transporte declarados / Declared means of conveyance: </strong>{{ date.means }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>6. Ponto de ingresso declarado / Declared point of entry: </strong>{{ date.entry }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>7. Número e descriçao dos volumes / Number and description of packages: </strong>{{ date.packages }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>8. Nome do produto e quantidade declarada / Name of product and declared quantity: </strong>{{ date.quantity }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>9. Marcas distintivas / Distinguishing marks: </strong>{{ date.marks }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>10. Nome científico dos vegetais / Botanical name of plants: </strong>{{ date.botanical }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>11. Declaraçao Adicional / Additional Declaration: </strong>{{ date.declaration_aditional }}</q-item-label>
            </q-item-section>
          </q-item>
        </q-list>
      </div>
      <div class="q-pa-md row items-center justify-center text-center">
        <div class="text-h6">TRATAMENTOS / TREATMENTS</div>
      </div>
      <div class="q-pa-md full-width" style="margin-top: 15px;">
        <q-list bordered separator class="text-left items-center justify-center">
          <q-item>
            <q-item-section>
              <q-item-label><strong>12. Data do tratamento / Date of treatment:</strong> {{ date.date_treatment ? date.date_treatment : 'NONE' }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>13. Produto químico (ingrediente ativo) / Chemical (active ingredient):</strong> {{ date.chemical }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>14. Concentraçao / Concentration: </strong>{{ date.concentration }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>15. Duraçao e Temperatura / Duration and temperature:  </strong>{{ date.duration_temperature }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>16. Tratamento / Treatment: </strong>{{ date.treatment }}</q-item-label>
            </q-item-section>
          </q-item>
          <q-item>
            <q-item-section>
              <q-item-label><strong>17. Informaçao adicional / Additional Information: </strong>{{ date.aditional_information }}</q-item-label>
            </q-item-section>
          </q-item>
        </q-list>
      </div>
      </div>
  </div>
</template>
<script>
import { mapGetters, mapActions } from 'vuex'
export default {
  data () {
    return {
      date: {}
    }
  },
  methods: {
    ...mapGetters('generals', ['user']),
    ...mapActions('generals', ['deleteItem']),
    get () {
      this.date = this.user()
      console.log(this.date)
    },
    async pdf (id) {
      console.log(this.date)
      await this.$api.get(`Pdf/${id}`).then(res => {
        console.log(res)
        this.$api.get(`show_file/${res}`, { responseType: 'blob' }).then(res2 => {
          const blob = new Blob([res2])
          const ext = res.split('.')
          this.ext = ext[ext.length - 1]
          const fileName = `${res}`
          this.fileName = fileName
          const url = window.URL.createObjectURL(blob)
          const link = document.createElement('a')
          link.href = url
          link.setAttribute('download', fileName)
          document.body.appendChild(link)
          link.click()
          this.$q.loading.hide()
        }).catch(function (error) {
          console.log('error descargando', error)
        })
      })
    }
  },
  mounted () {
    this.get()
  },
  beforeDestroy () {
    this.deleteItem()
  }
}
</script>
<style scoped>
.letras {
  font-size: 11.5pt;
}
</style>
